New setting to include the status changes in issue mail notifications subject

2013-02-08 23:12 - Francewhoa (Francois Carpentier)

Status: Closed Start date: 2008-02-04

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

Note: I searched but could find how to re-open an issue at #603. So I'm creating this new one.

Ideally, the subject would just contain: 

[the project name, the tracker, the issue #], status and the subject of the issue.

 No "status". This is useful because it allows email clients to thread all emails relating to a single issue together. "status" is already

included in the email notification body so it's a duplicate any way.

Current subject line don't work with clients like Gmail. Reply from Gmail: "A conversation will break off into a new thread if the

subject line of the conversation is changed" Source: http://support.google.com/mail/bin/answer.py?hl=en&answer=5900 The

subject line change because the "status" change.

I would be happy to contribute testing :) Any volunteer for a patch?

Related issues:

Related to Redmine - Feature #3660: Configurable subject of notification emai... New 2009-07-23

Related to Redmine - Defect #17096: Issue emails cannot be threaded by some m... Closed

Related to Redmine - Patch #13658: include "In-Reply-To" field to aid email t... Closed

Related to Redmine - Patch #31065: Fix tests that has incorrect verification ... Closed

Has duplicate Redmine - Feature #13083: Ticket status on email subject Closed

Copied from Redmine - Feature #603: Don't include new status for issues in em... Closed 2008-02-04

Associated revisions

Revision 17907 - 2019-02-28 09:23 - Go MAEDA

New setting to include the status changes in issue mail notifications subject (#13111).

Patch by Marius BALTEANU.

Revision 17922 - 2019-03-04 09:56 - Go MAEDA

Update locales (#13111, #30838).

Revision 18134 - 2019-05-07 01:34 - Go MAEDA

Fix tests to test Mailer.deliver_issue_edit instead of Mailer.deliver_issue_add (#13111, #31065).

Patch by Mizuki ISHIKAWA.

History

#1 - 2013-02-10 11:57 - Jan Niggemann (redmine.org team member)

IIRC it's the same with Lotus notes / Domino...

#2 - 2013-06-11 09:36 - Sergejs Degtjars

vote for this.

MS Outlook grouping also doesn't work with different subjects.
#3 - 2013-07-11 15:12 - Jongwook Choi

Just for a reference: #1401 does not work for gmail as of now.

For temporary monkey-patching, so that the mail subject does NOT contain status names, one can modify the 48th and 69th line of

"app/models/mailer.rb" as follows:

@@ -48,1 +48,1 @@

-        :subject => "[#{issue.project.name} - #{issue.tracker.name} ##{issue.id}] (#{issue.status.name}) #{is

sue.subject}" 

+        :subject => "[#{issue.project.name} - #{issue.tracker.name} ##{issue.id}] #{issue.subject}" 

@@ -69,1 +69,0 @@

-        s << "(#{issue.status.name}) " if journal.new_value_for('status_id')

 I think it would be great if this behaviour can be configured in the application settings, just as different ways of displaying user names

(USER_FORMATS in app/models/user.rb).

Hope I could work on this patch when I get time later...

#4 - 2014-07-07 09:50 - Peter Volkov

This is very close to #3660. Probably it's better to implement #3660 and fix this in one go.

#5 - 2014-07-07 09:51 - Peter Volkov

As for emails grouping in gmail, I found this blog post useful:

http://www.sensefulsolutions.com/2010/08/how-does-email-threading-work-in-gmail.html

#6 - 2014-08-05 16:03 - Toshi MARUYAMA

- Related to Feature #3660: Configurable subject of notification email for issue_add/issue_edit added

#7 - 2018-11-07 22:06 - Hashem Nasarat

I disagree Peter Volkov; this is a longstanding usability issue; and if the fix is simply to remove a field from the email template that should not be

blocked on a further enhancement.

If the maintainers agree this is reasonable I'll try to prepare a patch.

#8 - 2019-02-17 23:11 - Marius BĂLTEANU

Gmail is one of the most used email clients and I think it should be very nice to support email threading. The rule is simple, the subject of the email

must be the same.

Go Maeda, do you think that we should do this configurable (ex: Show issue status in email notifications for issues) or we should just remove the

status from the subject? IMO, I never found the status information from the subject useful.

#9 - 2019-02-18 02:54 - Go MAEDA

Marius BALTEANU wrote:

Go Maeda, do you think that we should do this configurable (ex: Show issue status in email notifications for issues) or we should just remove the

status from the subject? IMO, I never found the status information from the subject useful.

 I prefer making the subject line configurable rather than simply removing the status. The information that the status has been changed is useful for

me.

I will try the patch in #17096#note-19 on my environment and check if the threading issue will be resolved.

#10 - 2019-02-18 07:23 - Marius BĂLTEANU

Go MAEDA wrote:

I prefer making the subject line configurable rather than simply removing the status. The information that the status has been changed is useful

for me.

 Thanks, I’ll prepare a patch.

I will try the patch in #17096#note-19 on my environment and check if the threading issue will be resolved.

 For Gmail won’t work because the rule for threading uses only the subject, but I’m curios if it’ll fix the problem on Exchange/Office365.
#11 - 2019-02-18 08:20 - Go MAEDA

Marius BALTEANU wrote:

For Gmail won’t work because the rule for threading uses only the subject, but I’m curios if it’ll fix the problem on Exchange/Office365.

 I have just confirmed that patch #17096#note-19 has no effect on Gmail. Unfortunately, I cannot test Exchange/Office365.

#12 - 2019-02-19 23:00 - Marius BĂLTEANU

- File 0001-New-setting-to-include-the-status-changes-in-issue-m.patch added

Marius BALTEANU wrote:

Go MAEDA wrote:

I prefer making the subject line configurable rather than simply removing the status. The information that the status has been changed is

useful for me.

 Thanks, I’ll prepare a patch.

 Attached the patch that adds a new setting to include the status changes in issue mail notifications subject.

The setting is useful to control the grouping of mails on some mail clients (Gmail for example).

By default, the setting is enabled to not change the current behaviour.

 new_setting.png 

#13 - 2019-02-19 23:04 - Marius BĂLTEANU

- File new_setting.png added

#14 - 2019-02-19 23:18 - Marius BĂLTEANU

- File office365.png added

- File gmail.png added

- Target version set to Candidate for next major release

I can confirm that applying the patch on the current trunk fixes the thread issues on both major mail platforms:

1. Office 365

 office365.png 

2. Gmail

 gmail.png 

Most probably, for Office 365 is not only the proposed patch, but also a fix available only on the current trunk.

#15 - 2019-02-19 23:25 - Marius BĂLTEANU

- Related to Defect #17096: Issue emails cannot be threaded by some mailers due to inconsistent Message-ID and References field added

#16 - 2019-02-19 23:28 - Marius BĂLTEANU

- Related to Patch #13658: include "In-Reply-To" field to aid email threading for some clients added

#17 - 2019-02-20 00:57 - Go MAEDA

- Has duplicate Feature #13083: Ticket status on email subject added

#18 - 2019-02-20 02:00 - Go MAEDA

Marius, thank you for the patch. The patch works fine but I have one suggestion.

How about storing the setting value as an Array instead of an integer value, like Setting.notified_events? It is useful when we make the subject line

more configurable in the future. For example, we may add a setting to show/hide a project name or tracker name.

#19 - 2019-02-20 08:36 - Marius BĂLTEANU

Go MAEDA wrote:
How about storing the setting value as an Array instead of an integer value, like Setting.notified_events? It is useful when we make the subject

line more configurable in the future. For example, we may add a setting to show/hide a project name or tracker name.

 I prefer to do a migration at that moment (it won't be a big deal) because we don't know (or at least me) how this feature will develop in the future. I

see at least 3 options :) But if you really want to store it as Array, I can change my patch.

#20 - 2019-02-20 08:53 - Go MAEDA

Marius BALTEANU wrote:

I prefer to do a migration at that moment (it won't be a big deal) because we don't know (or at least me) how this feature will develop in the

future.

 It makes sense.

#21 - 2019-02-26 09:57 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

#22 - 2019-02-28 09:25 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for improving Redmine.

#23 - 2019-02-28 09:42 - Go MAEDA

- Subject changed from Don't include new status for issues in email subject to New setting to include the status changes in issue mail notifications

subject

#24 - 2019-03-21 13:27 - Go MAEDA

- Related to Patch #31065: Fix tests that has incorrect verification target added

Files

0001-New-setting-to-include-the-status-changes-in-issue-m.patch 4.86 KB 2019-02-19 Marius BĂLTEANU

new_setting.png 48.7 KB 2019-02-19 Marius BĂLTEANU

office365.png 154 KB 2019-02-19 Marius BĂLTEANU

gmail.png 158 KB 2019-02-19 Marius BĂLTEANU
